Bug 451643 - Review Request: libmusicbrainz3 - Library for accessing MusicBrainz servers
Review Request: libmusicbrainz3 - Library for accessing MusicBrainz servers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 08:59 EDT by Rex Dieter
Modified: 2008-07-24 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-06-16 08:59:00 EDT
Spec URL: http://rdieter.fedorapeople.org/libmusicbrainz3/libmusicbrainz3.spec
SRPM URL: http://rdieter.fedorapeople.org/libmusicbrainz3/libmusicbrainz3-3.0.1-1.src.rpm
Description:
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

parallel-installable with libmusicbrainz v2, currently in fedora.

dist-f10 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=663548
Comment 1 Brian Pepple 2008-06-16 20:34:42 EDT
MD5Sum:
d42110ae548dae1eea73e83b03a1a936  libmusicbrainz-3.0.1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint produces only the following warning, which can be safely ignored:
 libmusicbrainz3-devel.i386: W: no-documentation
* Package installs and uninstalls cleanly

Bad:
* Missing BR on libdiscid-devel.
* It looks like your missing a requires on neon-devel & libdiscid-devel for the
devel subpackage.  Please verify if this is correct before importing into cvs.

Minor (Non-blocker):
* I noticed there are some tests in the tarball, which might be worthwhile to
run in the building process w/make check.

+1 APPROVED, once bad items are looked at.
Comment 2 Rex Dieter 2008-06-16 21:04:33 EDT
Thanks, I'll verify those items you id'd before building.


New Package CVS Request
=======================
Package Name: libmusicbrainz3
Short Description: Library for accessing MusicBrainz servers
Owners: rdieter
Branches: F-9 F-8
InitialCC:
Cvsextras Commits: yes

(any interested comaintainers welcome)

Comment 3 Kevin Fenzi 2008-06-17 13:16:35 EDT
cvs done.
Comment 4 Rex Dieter 2008-07-24 19:35:37 EDT
sorry for the delay, importing/building for rawhide.

Note You need to log in before you can comment on or make changes to this bug.